> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

#  Connect Link Context



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /managed-auth/connect-links/context
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connect-links/context:
    post:
      tags:
        - managed-auth
      summary: ' Connect Link Context'
      operationId: _connect_link_context
      parameters:
        - name: X-Notte-Connect-Token
          in: header
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 256
            description: The connect token from the link URL.
            title: X-Notte-Connect-Token
          description: The connect token from the link URL.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectLinkContext'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples: []
components:
  schemas:
    ConnectLinkContext:
      properties:
        service_name:
          type: string
          title: Service Name
        domain:
          type: string
          title: Domain
        logo_color:
          type: string
          title: Logo Color
        status:
          type: string
          enum:
            - pending
            - submitted
            - completed
            - failed
            - expired
          title: Status
        requires_totp_secret:
          type: boolean
          title: Requires Totp Secret
          description: Whether the form must collect a TOTP seed.
        requires_mailbox:
          type: boolean
          title: Requires Mailbox
          description: >-
            Whether the connector reads its second factor from email, so the
            page must ask which inbox the code will arrive in.
        attempts_remaining:
          type: integer
          title: Attempts Remaining
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - service_name
        - domain
        - logo_color
        - status
        - requires_totp_secret
        - requires_mailbox
        - attempts_remaining
        - expires_at
      title: ConnectLinkContext
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````